package com.ajb.car.quotation;

import java.util.Date;

import com.ajb.car.entity.quotation.AgPoQuotation;
import com.ajb.car.vo.quotation.AgPoQuotationRequestVO;
import com.ajb.car.vo.zhima.quotation.ConfirmInfo;
import com.ajb.car.vo.zhima.quotation.Priceinfo;

public interface AgPoQuotationWebService {
	
	public AgPoQuotationRequestVO queryAgPoQuotation(Long quotationId);
	
	public AgPoQuotation saveAgPoQuotation(Date quotationDate,Priceinfo priceinfo);
	
	public void saveAgPoQuotationConfirm(ConfirmInfo confirmInfo,AgPoQuotation quotation);	
	
	public void saveAgPoQuotationAndConfirm(Date quotationDate,Priceinfo priceinfo,ConfirmInfo confirmInfo);
}